Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class InputEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  KeyEvent, MouseEvent

    public abstract class InputEvent

extends ComponentEvent

The root event class for all component-level input events. Input events are delivered to listeners before they are processed normally by the source where they originated. This allows listeners and component subclasses to "consume" the event so that the source will not process them in their default manner. For example, consuming mousePressed events on a Button component will prevent the Button from being activated.

Since:
  1.1
See Also:
  `KeyEvent`, `KeyAdapter`, `MouseEvent`, `MouseAdapter`, `MouseMotionAdapter`, Serialized Form

Field Summary
`static int` | `ALT_DOWN_MASK` The Alt key extended modifier constant.
`static int` | `ALT_GRAPH_DOWN_MASK` The AltGraph key extended modifier constant.
`static int` | `ALT_GRAPH_MASK` The AltGraph key modifier constant.
`static int` | `ALT_MASK` The Alt key modifier constant.
`static int` | `BUTTON1_DOWN_MASK` The Mouse Button1 extended modifier constant.
`static int` | `BUTTON1_MASK` The Mouse Button1 modifier constant.
`static int` | `BUTTON2_DOWN_MASK` The Mouse Button2 extended modifier constant.
`static int` | `BUTTON2_MASK` The Mouse Button2 modifier constant.
`static int` | `BUTTON3_DOWN_MASK` The Mouse Button3 extended modifier constant.
`static int` | `BUTTON3_MASK` The Mouse Button3 modifier constant.
`static int` | `CTRL_DOWN_MASK` The Control key extended modifier constant.
`static int` | `CTRL_MASK` The Control key modifier constant.
`static int` | `META_DOWN_MASK` The Meta key extended modifier constant.
`static int` | `META_MASK` The Meta key modifier constant.
`static int` | `SHIFT_DOWN_MASK` The Shift key extended modifier constant.
`static int` | `SHIFT_MASK` The Shift key modifier constant.

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`void` | `consume()` Consumes this event so that it will not be processed in the default manner by the source which originated it.
`int` | `getModifiers()` Returns the modifier mask for this event.
`int` | `getModifiersEx()` Returns the extended modifier mask for this event.
`static String` | `getModifiersExText(int modifiers)` Returns a String describing the extended modifier keys and mouse buttons, such as "Shift", "Button1", or "Ctrl+Shift".
`long` | `getWhen()` Returns the timestamp of when this event occurred.
`boolean` | `isAltDown()` Returns whether or not the Alt modifier is down on this event.
`boolean` | `isAltGraphDown()` Returns whether or not the AltGraph modifier is down on this event.
`boolean` | `isConsumed()` Returns whether or not this event has been consumed.
`boolean` | `isControlDown()` Returns whether or not the Control modifier is down on this event.
`boolean` | `isMetaDown()` Returns whether or not the Meta modifier is down on this event.
`boolean` | `isShiftDown()` Returns whether or not the Shift modifier is down on this event.

Methods inherited from class java.awt.event.ComponentEvent
`getComponent, paramString`

Methods inherited from class java.awt.AWTEvent
`getID, setSource, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHIFT_MASK

    public static final int SHIFT_MASK

  The Shift key modifier constant. It is recommended that SHIFT_DOWN_MASK be used instead.

  See Also:
    Constant Field Values

### CTRL_MASK

    public static final int CTRL_MASK

  The Control key modifier constant. It is recommended that CTRL_DOWN_MASK be used instead.

  See Also:
    Constant Field Values

### META_MASK

    public static final int META_MASK

  The Meta key modifier constant. It is recommended that META_DOWN_MASK be used instead.

  See Also:
    Constant Field Values

### ALT_MASK

    public static final int ALT_MASK

  The Alt key modifier constant. It is recommended that ALT_DOWN_MASK be used instead.

  See Also:
    Constant Field Values

### ALT_GRAPH_MASK

    public static final int ALT_GRAPH_MASK

  The AltGraph key modifier constant.

  See Also:
    Constant Field Values

### BUTTON1_MASK

    public static final int BUTTON1_MASK

  The Mouse Button1 modifier constant. It is recommended that BUTTON1_DOWN_MASK be used instead.

  See Also:
    Constant Field Values

### BUTTON2_MASK

    public static final int BUTTON2_MASK

  The Mouse Button2 modifier constant. It is recommended that BUTTON2_DOWN_MASK be used instead. Note that BUTTON2_MASK has the same value as ALT_MASK.

  See Also:
    Constant Field Values

### BUTTON3_MASK

    public static final int BUTTON3_MASK

  The Mouse Button3 modifier constant. It is recommended that BUTTON3_DOWN_MASK be used instead. Note that BUTTON3_MASK has the same value as META_MASK.

  See Also:
    Constant Field Values

### SHIFT_DOWN_MASK

    public static final int SHIFT_DOWN_MASK

  The Shift key extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### CTRL_DOWN_MASK

    public static final int CTRL_DOWN_MASK

  The Control key extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### META_DOWN_MASK

    public static final int META_DOWN_MASK

  The Meta key extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### ALT_DOWN_MASK

    public static final int ALT_DOWN_MASK

  The Alt key extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### BUTTON1_DOWN_MASK

    public static final int BUTTON1_DOWN_MASK

  The Mouse Button1 extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### BUTTON2_DOWN_MASK

    public static final int BUTTON2_DOWN_MASK

  The Mouse Button2 extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### BUTTON3_DOWN_MASK

    public static final int BUTTON3_DOWN_MASK

  The Mouse Button3 extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

### ALT_GRAPH_DOWN_MASK

    public static final int ALT_GRAPH_DOWN_MASK

  The AltGraph key extended modifier constant.

  Since:
    1.4
  See Also:
    Constant Field Values

Method Detail

### isShiftDown

    public boolean isShiftDown()

  Returns whether or not the Shift modifier is down on this event.

### isControlDown

    public boolean isControlDown()

  Returns whether or not the Control modifier is down on this event.

### isMetaDown

    public boolean isMetaDown()

  Returns whether or not the Meta modifier is down on this event.

### isAltDown

    public boolean isAltDown()

  Returns whether or not the Alt modifier is down on this event.

### isAltGraphDown

    public boolean isAltGraphDown()

  Returns whether or not the AltGraph modifier is down on this event.

### getWhen

    public long getWhen()

  Returns the timestamp of when this event occurred.

### getModifiers

    public int getModifiers()

  Returns the modifier mask for this event.

### getModifiersEx

    public int getModifiersEx()

  Returns the extended modifier mask for this event. Extended modifiers represent the state of all modal keys, such as ALT, CTRL, META, and the mouse buttons just after the event occurred

  For example, if the user presses button 1 followed by button 2, and then releases them in the same order, the following sequence of events is generated:

          MOUSE_PRESSED:  BUTTON1_DOWN_MASK
          MOUSE_PRESSED:  BUTTON1_DOWN_MASK | BUTTON2_DOWN_MASK
          MOUSE_RELEASED: BUTTON2_DOWN_MASK
          MOUSE_CLICKED:  BUTTON2_DOWN_MASK
          MOUSE_RELEASED:
          MOUSE_CLICKED:

  It is not recommended to compare the return value of this method using `==` because new modifiers can be added in the future. For example, the appropriate way to check that SHIFT and BUTTON1 are down, but CTRL is up is demonstrated by the following code:

          int onmask = SHIFT_DOWN_MASK | BUTTON1_DOWN_MASK;
          int offmask = CTRL_DOWN_MASK;
          if ((event.getModifiersEx() & (onmask | offmask)) == onmask) {
              ...
          }

  The above code will work even if new modifiers are added.

  Since:
    1.4

### consume

    public void consume()

  Consumes this event so that it will not be processed in the default manner by the source which originated it.

  Overrides:
    `consume` in class `AWTEvent`

### isConsumed

    public boolean isConsumed()

  Returns whether or not this event has been consumed.

  Overrides:
    `isConsumed` in class `AWTEvent`
  See Also:
    `consume()`

### getModifiersExText

    public static String getModifiersExText(int modifiers)

  Returns a String describing the extended modifier keys and mouse buttons, such as "Shift", "Button1", or "Ctrl+Shift". These strings can be localized by changing the awt.properties file.

  Parameters:
    `modifiers` - a modifier mask describing the extended modifier keys and mouse buttons for the event
  Returns:
    a text description of the combination of extended modifier keys and mouse buttons that were held down during the event.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.